various improvements
[automated-distro-installer] / wrt-setup
index fda94a3b948065d87cb3e72dea0f106dad2e6ac2..777eafdfbe092196e7fa784a0fd3d6be5322e8e8 100755 (executable)
--- a/wrt-setup
+++ b/wrt-setup
@@ -1,7 +1,7 @@
 #!/bin/bash
 
 set -eE -o pipefail
-trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?"' ERR
+trap 'echo "$0:$LINENO:error: \"$BASH_COMMAND\" returned $?" >&2' ERR
 
 
 # ssh
@@ -55,7 +55,7 @@ cat >.profile <<'EOF'
        exit
 }
 EOF
-v pi kmod-usb-storage block-mount kmod-fs-ext4 nfs-kernel-server
+v pi kmod-usb-storage block-mount kmod-fs-ext4 nfs-kernel-server tcpdump
 
 
 
@@ -117,7 +117,9 @@ v /etc/init.d/nfsd start
 v /etc/init.d/portmap enable
 v /etc/init.d/nfsd enable
 
-
+# default is 250, but my switch wants a high static address by default,
+# and I don't need that many, so lets just reduce it.
+sed -ri 's/^(.*option limit ).*/\1100/' /etc/config/dhcp
 
 cedit /etc/config/firewall <<'EOF' || /etc/init.d/firewall restart
 # port forwarding
@@ -133,6 +135,32 @@ option src              wan
 option target           ACCEPT
 option dest_port        63324
 
+config redirect
+option name frodobittorrent
+option src              wan
+option src_dport        63326
+option dest_ip          192.168.1.3
+option dest             lan
+
+config rule
+option src              wan
+option target           ACCEPT
+option dest_port        63326
+
+
+config redirect
+option name treetowlsyncthing
+option src              wan
+option src_dport        22000
+option dest_ip          192.168.1.2
+option dest             lan
+option proto            tcp
+
+config rule
+option src              wan
+option target           ACCEPT
+option dest_port        22000
+
 
 config redirect
 option name bithtpc
@@ -178,31 +206,31 @@ config rule
        option dest_port        443
        option proto            tcp
 
-
-config redirect
-       option src                      wan
-       option src_dport        80
-       option dest                     lan
-       option dest_ip          192.168.1.2
-       option proto            tcp
-
-config rule
-       option src              wan
-       option target           ACCEPT
-       option dest_port        80
-       option proto            tcp
+# not using http server atm, so disable it.
+config redirect
+       option src                      wan
+       option src_dport        80
+       option dest                     lan
+       option dest_ip          192.168.1.2
+       option proto            tcp
+
+config rule
+       option src              wan
+       option target           ACCEPT
+       option dest_port        80
+       option proto            tcp
 EOF
 
 
 dnsmasq_restart=false
 cedit /etc/hosts <<EOF || dnsmasq_restart=true
 192.168.1.1 wrt
-192.168.1.2 treetowl
+192.168.1.2 treetowl faiserver
 192.168.1.3 frodo
 192.168.1.4 htpc
 192.168.1.5 x2
 192.168.1.6 testvm
-192.168.1.7 faiserver
+192.168.1.8 tp
 72.14.176.105 li
 EOF
 
@@ -252,17 +280,22 @@ server=75.75.75.75
 # to fixup existin ips, on the client you can do
 # sudo dhclient -r; sudo dhclient <interface-name>
 
-dhcp-host=f4:6d:04:02:ee:eb,192.168.1.2,treetowl
-dhcp-host=00:26:18:97:bb:16,192.168.1.3,frodo
-dhcp-host=10:78:d2:da:29:22,192.168.1.4,htpc
-dhcp-host=00:1f:16:16:39:24,192.168.1.5,x2
+# default dhcp range is 100-150
+dhcp-host=f4:6d:04:02:ed:66,set:treetowl,192.168.1.2,treetowl
+dhcp-host=00:26:18:97:bb:16,set:frodo,192.168.1.3,frodo
+dhcp-host=10:78:d2:da:29:22,set:htpc,192.168.1.4,htpc
+dhcp-host=00:1f:16:16:39:24,set:x2,192.168.1.5,x2
 # this is so fai can have an explicit name to use for testing,
 # or else any random machine which did a pxe boot would get
 # reformatted. The mac is from doing a virt-install, cancelling it,
 # and copying the generated mac, so it should be randomish.
-dhcp-host=52:54:00:9c:ef:ad,192.168.1.6,demohost
-dhcp-host=52:54:00:56:09:f9,192.168.1.7,faiserver
-dhcp-host=80:fa:5b:1c:6e:cf,192.168.1.8,tp
+dhcp-host=52:54:00:9c:ef:ad,set:demohost,192.168.1.6,demohost
+dhcp-host=52:54:00:56:09:f9,set:faiserver,192.168.1.7,faiserver
+dhcp-host=80:fa:5b:1c:6e:cf,set:tp,192.168.1.8,tp
+# this is the ip it picks by default if dhcp fails,
+# so might as well use it.
+# hostname is the name it uses according to telnet
+dhcp-host=b4:75:0e:94:29:ca,set:switch9429ca,192.168.1.251,switch9429ca
 
 
 # template